apiVersion: maistra.io/v1
kind: ServiceMeshExtension
metadata:
  creationTimestamp: '2022-12-14T09:18:34Z'
  generation: 1
  name: threescale-wasm
  namespace: istio-system
  resourceVersion: '46946514'
  uid: 22f17eed-576d-4609-a20c-4d16cfac0839
spec:
  config:
    api: v1
    backend:
      extensions:
        - no_body
      name: backend
      upstream:
        name: outbound|3000||backend-listener.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://backend-listener.3scale-project.svc.cluster.local:3000'
    services:
      - authorities:
          - api-sms.apps.example.com
        credentials:
          user_key:
            - header:
                keys:
                  - user_key
        id: '3'
        mapping_rules:
          - method: POST
            pattern: '/{apiversion}/message/sms'
            usages:
              - delta: 1
                name: post_sms
          - method: POST
            pattern: '/{apiversion}/message/deliveryreport'
            usages:
              - delta: 1
                name: post_deliveryreport
        token: <token>
    system:
      name: 3scale-admin
      token: <token>
      upstream:
        name: outbound|3000||system-provider.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://system-provider.3scale-project.svc.cluster.local:3000'
  image: 'registry.redhat.io/openshift-service-mesh/3scale-auth-wasm-rhel8:0.0.1'
  phase: PostAuthZ
  priority: 100
  workloadSelector:
    labels:
      app: istio-ingressgateway
status:
  deployment:
    message: >-
      failed to pull image
      "registry.redhat.io/openshift-service-mesh/3scale-auth-wasm-rhel8:0.0.1":
      Trying to pull
      image-registry.openshift-image-registry.svc:5000/istio-system/ossm-extension-3scale-a-1933be0b@sha256:41874952fb952e97fa31a6d3698bb07341feff522b877441b7b040dd0bc2757b...
      Getting image source signatures

      Copying blob
      sha256:22ab2bf0b75f22917d0c7eb368bf97a478967478153d33dc5274ac4416bfa8ee

      Copying blob
      sha256:22ab2bf0b75f22917d0c7eb368bf97a478967478153d33dc5274ac4416bfa8ee

      Copying blob
      sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1

      Copying blob
      sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1

      time="2022-12-14T09:18:39Z" level=error msg="While applying layer:
      ApplyLayer exit status 1 stdout:  stderr: Error creating mount namespace
      before pivot: function not implemented"

      Error: writing blob: adding layer with blob
      "sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1":
      ApplyLayer exit status 1 stdout:  stderr: Error creating mount namespace
      before pivot: function not implemented
   ready: false
